Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentCapabilities

    public class AgentCapabilities

extends java.lang.Object

Java class for agentCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canGetNotReadyReason" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetReadyStatus" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetSupervisor" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canLogin" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canLogout" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canRetrieve" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetNotReadyReason" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetReadyStatus" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetStaticVoiceTerminal" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentCapabilities()`

Method Summary
`boolean` | `isCanGetNotReadyReason()` Gets the value of the canGetNotReadyReason property.
`boolean` | `isCanGetReadyStatus()` Gets the value of the canGetReadyStatus property.
`boolean` | `isCanGetSupervisor()` Gets the value of the canGetSupervisor property.
`boolean` | `isCanLogin()` Gets the value of the canLogin property.
`boolean` | `isCanLogout()` Gets the value of the canLogout property.
`boolean` | `isCanRetrieve()` Gets the value of the canRetrieve property.
`boolean` | `isCanSetNotReadyReason()` Gets the value of the canSetNotReadyReason property.
`boolean` | `isCanSetReadyStatus()` Gets the value of the canSetReadyStatus property.
`boolean` | `isCanSetStaticVoiceTerminal()` Gets the value of the canSetStaticVoiceTerminal property.
`void` | `setCanGetNotReadyReason(boolean value)` Sets the value of the canGetNotReadyReason property.
`void` | `setCanGetReadyStatus(boolean value)` Sets the value of the canGetReadyStatus property.
`void` | `setCanGetSupervisor(boolean value)` Sets the value of the canGetSupervisor property.
`void` | `setCanLogin(boolean value)` Sets the value of the canLogin property.
`void` | `setCanLogout(boolean value)` Sets the value of the canLogout property.
`void` | `setCanRetrieve(boolean value)` Sets the value of the canRetrieve property.
`void` | `setCanSetNotReadyReason(boolean value)` Sets the value of the canSetNotReadyReason property.
`void` | `setCanSetReadyStatus(boolean value)` Sets the value of the canSetReadyStatus property.
`void` | `setCanSetStaticVoiceTerminal(boolean value)` Sets the value of the canSetStaticVoiceTerminal property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentCapabilities

    public AgentCapabilities()

Method Detail

### isCanGetNotReadyReason

    public boolean isCanGetNotReadyReason()

  Gets the value of the canGetNotReadyReason property.

### setCanGetNotReadyReason

    public void setCanGetNotReadyReason(boolean value)

  Sets the value of the canGetNotReadyReason property.

### isCanGetReadyStatus

    public boolean isCanGetReadyStatus()

  Gets the value of the canGetReadyStatus property.

### setCanGetReadyStatus

    public void setCanGetReadyStatus(boolean value)

  Sets the value of the canGetReadyStatus property.

### isCanGetSupervisor

    public boolean isCanGetSupervisor()

  Gets the value of the canGetSupervisor property.

### setCanGetSupervisor

    public void setCanGetSupervisor(boolean value)

  Sets the value of the canGetSupervisor property.

### isCanLogin

    public boolean isCanLogin()

  Gets the value of the canLogin property.

### setCanLogin

    public void setCanLogin(boolean value)

  Sets the value of the canLogin property.

### isCanLogout

    public boolean isCanLogout()

  Gets the value of the canLogout property.

### setCanLogout

    public void setCanLogout(boolean value)

  Sets the value of the canLogout property.

### isCanRetrieve

    public boolean isCanRetrieve()

  Gets the value of the canRetrieve property.

### setCanRetrieve

    public void setCanRetrieve(boolean value)

  Sets the value of the canRetrieve property.

### isCanSetNotReadyReason

    public boolean isCanSetNotReadyReason()

  Gets the value of the canSetNotReadyReason property.

### setCanSetNotReadyReason

    public void setCanSetNotReadyReason(boolean value)

  Sets the value of the canSetNotReadyReason property.

### isCanSetReadyStatus

    public boolean isCanSetReadyStatus()

  Gets the value of the canSetReadyStatus property.

### setCanSetReadyStatus

    public void setCanSetReadyStatus(boolean value)

  Sets the value of the canSetReadyStatus property.

### isCanSetStaticVoiceTerminal

    public boolean isCanSetStaticVoiceTerminal()

  Gets the value of the canSetStaticVoiceTerminal property.

### setCanSetStaticVoiceTerminal

    public void setCanSetStaticVoiceTerminal(boolean value)

  Sets the value of the canSetStaticVoiceTerminal property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.